import React, { Component } from 'react';
import { Card } from 'antd';
import { genAbsolutePicUrl } from '../../utils/utils';
import styles from './TrainingItem.less';

function TrainingTpl({ title, dateDesc, coverUrl }) {
  return (
    <div className={styles.content}>
      <div className={styles.courseWrapper}>
        <img src={genAbsolutePicUrl(coverUrl)} alt="" />
        <div className={styles.desc}>
          <div className={styles.title}>{title}</div>
          <div className={styles.date}>{dateDesc}</div>
        </div>
      </div>
    </div>
  );
}

class TrainingItem extends Component {
  render() {
    return (
      <Card
        title="师训信息"
        style={{ height: 540, marginBottom: 16 }}
        className={styles.coverCard}
      >
        <TrainingTpl {...this.props} />
      </Card>
    );
  }
}
export default TrainingItem;
