import React, { Component } from 'react';
import { Redirect, Route, Switch, routerRedux } from 'dva/router';
import { connect } from 'dva';
import PageHeaderLayout from '../../../layouts/PageHeaderLayout';
import { getRoutes } from '../../../utils/utils';
@connect()
export default class AccountsPage extends Component {
  handleTabChange = (key) => {
    const { dispatch, match } = this.props;
    switch (key) {
      // 校区列表
      case 'campus':
        dispatch(routerRedux.push(`${match.url}/campus`));
        break;
      // 终端课程包
      case 'terminals':
        dispatch(routerRedux.push(`${match.url}/terminals`));
        break;
      // 即将逾期
      case 'overdue':
        dispatch(routerRedux.push(`${match.url}/overdue`));
        break;
      // 总统计表
      case 'totalList':
        dispatch(routerRedux.push(`${match.url}/totalList`));
        break;
      default:
        break;
    }
  };
  render() {
    const tabList = [
      {
        key: 'campus',
        tab: '校区列表',
      },
      {
        key: 'terminals',
        tab: '终端课程包',
      },
      {
        key: 'overdue',
        tab: '即将逾期',
      },
      {
        key: 'totalList',
        tab: '总统计表',
      },
    ];

    const { match, routerData, location } = this.props;
    const routes = getRoutes(match.path, routerData);

    return (
      <PageHeaderLayout
        tabList={tabList}
        tabActiveKey={location.pathname.replace(`${match.path}/`, '')}
        onTabChange={this.handleTabChange}
      >
        <Switch>
          {routes.map(item => (
            <Route key={item.key} path={item.path} component={item.component} exact={item.exact} />
          ))}
          <Redirect exact from="/dashboard/accounts" to="/dashboard/accounts/campus" />
        </Switch>
      </PageHeaderLayout>
    );
  }
}
