import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryProductList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.product}?${stringify(newParams)}`);
}

export async function queryProductItem({ pid }) {
  return request(`${api.product}/${pid}`);
}

export async function createProductItem(params) {
  const { type, ...others } = params;
  const options = {
    method: 'POST',
    body: others,
  };
  return request(`${api.product}/${type.toLowerCase()}`, options);
}

export async function updateProductItem(params) {
  const { type, ...others } = params;
  const options = {
    method: 'PUT',
    body: others,
  };
  return request(`${api.product}/${type.toLowerCase()}`, options);
}

export async function deleteProductItem({ id }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.product}/${id}`, options);
}
