import { stringify } from 'qs';
import request from '../utils/request';
import { api, Hotax } from '../utils/config';

export async function queryTagList(params) {
  const newParams = {
    pageSize: Hotax.PAGE_SIZE,
    ...params,
  };
  return request(`${api.tag}?${stringify(newParams)}`);
}

export async function queryTagItem({ tagId }) {
  return request(`${api.tagItem}/${tagId}`);
}

export async function createTagItem(params) {
  const options = {
    method: 'POST',
    body: params,
  };
  return request(`${api.tagItem}`, options);
}

export async function updateTagItem(params) {
  const options = {
    method: 'PUT',
    body: params,
  };
  return request(`${api.tagItem}`, options);
}

export async function deleteTagItem({ tagId }) {
  const options = {
    method: 'DELETE',
  };
  return request(`${api.tagItem}/${tagId}`, options);
}
